hwy::RandomState Class Reference

`#include <test_util.h>`

## Public Member Functions

| RandomState (const uint64_t seed=0x123456789ull)
HWY_INLINE uint64_t | operator() ()

## Static Private Member Functions

static uint64_t | SplitMix64 (uint64_t z)

## Private Attributes

uint64_t | s0_
uint64_t | s1_

## Constructor & Destructor Documentation

## RandomState()

hwy::RandomState::RandomState | ( | const uint64_t | seed = `0x123456789ull` | ) |

inline explicit

References s0_, s1_, and SplitMix64().

## Member Function Documentation

## operator()()

HWY_INLINE uint64_t hwy::RandomState::operator() | ( |  | ) |

inline

References s0_, and s1_.

## SplitMix64()

static uint64_t hwy::RandomState::SplitMix64 | ( | uint64_t | z | ) |

inline static private

Referenced by RandomState().

## Member Data Documentation

## s0_

uint64_t hwy::RandomState::s0_

private

Referenced by operator()(), and RandomState().

## s1_

uint64_t hwy::RandomState::s1_

private

Referenced by operator()(), and RandomState().

The documentation for this class was generated from the following file:

- test_util.h